Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 5099)
@@ -2021,86 +2017,86 @@
 
   TYPE(ctrl_out), SAVE :: o_rsu = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsu', 'SW upward radiation', 'W m-2', (/ ('', i=1, 10) /))
+          'rsu', 'SW upward radiation', 'W m-2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rsd = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsd', 'SW downward radiation', 'W m-2', (/ ('', i=1, 10) /))
+          'rsd', 'SW downward radiation', 'W m-2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rlu = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rlu', 'LW upward radiation', 'W m-2', (/ ('', i=1, 10) /))
+          'rlu', 'LW upward radiation', 'W m-2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rld = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rld', 'LW downward radiation', 'W m-2', (/ ('', i=1, 10) /))
+          'rld', 'LW downward radiation', 'W m-2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rsucs = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsucs', 'SW CS upward radiation', 'W m-2', (/ ('', i=1, 10) /))
+          'rsucs', 'SW CS upward radiation', 'W m-2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rsucsaf = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsucsaf', 'SW CS clean (no aerosol) upward radiation', 'W m-2', (/ ('', i=1, 10) /))
+          'rsucsaf', 'SW CS clean (no aerosol) upward radiation', 'W m-2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rsdcs = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsdcs', 'SW CS downward radiation', 'W m-2', (/ ('', i=1, 10) /))
+          'rsdcs', 'SW CS downward radiation', 'W m-2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rsdcsaf = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsdcsaf', 'SW CS clean (no aerosol) downward radiation', 'W m-2', (/ ('', i=1, 10) /))
+          'rsdcsaf', 'SW CS clean (no aerosol) downward radiation', 'W m-2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rlucs = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rlucs', 'LW CS upward radiation', 'W m-2', (/ ('', i=1, 10) /))
+          'rlucs', 'LW CS upward radiation', 'W m-2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rldcs = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rldcs', 'LW CS downward radiation', 'W m-2', (/ ('', i=1, 10) /))
+          'rldcs', 'LW CS downward radiation', 'W m-2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_tnt = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'tnt', 'Tendency of air temperature', 'K s-1', (/ ('', i=1, 10) /))
+          'tnt', 'Tendency of air temperature', 'K s-1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_tntc = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'tntc', 'Tendency of air temperature due to Moist Convection', 'K s-1', (/ ('', i=1, 10) /))
+          'tntc', 'Tendency of air temperature due to Moist Convection', 'K s-1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_tntr = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'tntr', 'Air temperature tendency due to Radiative heating', 'K s-1', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_tntscpbl = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/),                  &
-    'tntscpbl', 'Air temperature tendency due to St cloud and precipitation and BL mixing', &
-      'K s-1', (/ ('', i=1, 10) /))
+          'tntr', 'Air temperature tendency due to Radiative heating', 'K s-1', (/ ('', i = 1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_tntscpbl = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+          'tntscpbl', 'Air temperature tendency due to St cloud and precipitation and BL mixing', &
+          'K s-1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_tnhus = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'tnhus', 'Tendency of specific humidity', 's-1', (/ ('', i=1, 10) /))
+          'tnhus', 'Tendency of specific humidity', 's-1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_tnhusc = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'tnhusc', 'Tendency of specific humidity due to convection', 's-1', (/ ('', i=1, 10) /))
+          'tnhusc', 'Tendency of specific humidity due to convection', 's-1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_tnhusscpbl = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'tnhusscpbl', 'Tendency of Specific humidity due to ST cl, precip and BL mixing', 's-1', (/ ('', i=1, 10) /))
+          'tnhusscpbl', 'Tendency of Specific humidity due to ST cl, precip and BL mixing', 's-1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_evu = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'evu', 'Eddy viscosity coefficient for Momentum Variables', 'm2 s-1', (/ ('', i=1, 10) /))
+          'evu', 'Eddy viscosity coefficient for Momentum Variables', 'm2 s-1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_h2o = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'h2o', 'Mass Fraction of Water', '1', (/ ('', i=1, 10) /))
+          'h2o', 'Mass Fraction of Water', '1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_mcd = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'mcd', 'Downdraft COnvective Mass Flux', 'kg/(m2*s)', (/ ('', i=1, 10) /))
+          'mcd', 'Downdraft COnvective Mass Flux', 'kg/(m2*s)', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_dmc = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'dmc', 'Deep COnvective Mass Flux', 'kg/(m2*s)', (/ ('', i=1, 10) /))
+          'dmc', 'Deep COnvective Mass Flux', 'kg/(m2*s)', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ref_liq = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'ref_liq', 'Effective radius of convective cloud liquid water particle', 'm', (/ ('', i=1, 10) /))
+          'ref_liq', 'Effective radius of convective cloud liquid water particle', 'm', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ref_ice = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'ref_ice', 'Effective radius of startiform cloud ice particle', 'm', (/ ('', i=1, 10) /))
+          'ref_ice', 'Effective radius of startiform cloud ice particle', 'm', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rsut4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsut4co2', 'TOA Out SW in 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rsut4co2', 'TOA Out SW in 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rlut4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rlut4co2', 'TOA Out LW in 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rlut4co2', 'TOA Out LW in 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rsutcs4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsutcs4co2', 'TOA Out CS SW in 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rsutcs4co2', 'TOA Out CS SW in 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rlutcs4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rlutcs4co2', 'TOA Out CS LW in 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rlutcs4co2', 'TOA Out CS LW in 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rsu4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsu4co2', 'Upwelling SW 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rsu4co2', 'Upwelling SW 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rlu4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rlu4co2', 'Upwelling LW 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rlu4co2', 'Upwelling LW 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rsucs4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsucs4co2', 'Upwelling CS SW 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rsucs4co2', 'Upwelling CS SW 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rlucs4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rlucs4co2', 'Upwelling CS LW 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rlucs4co2', 'Upwelling CS LW 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rsd4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsd4co2', 'Downwelling SW 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rsd4co2', 'Downwelling SW 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rld4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rld4co2', 'Downwelling LW 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rld4co2', 'Downwelling LW 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rsdcs4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsdcs4co2', 'Downwelling CS SW 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rsdcs4co2', 'Downwelling CS SW 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rldcs4co2 = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rldcs4co2', 'Downwelling CS LW 4xCO2 atmosphere', 'W/m2', (/ ('', i=1, 10) /))
+          'rldcs4co2', 'Downwelling CS LW 4xCO2 atmosphere', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_snowsrf = ctrl_out((/ 1, 1, 10, 1, 10, 10, 11, 11, 11, 11/), &
-    'snowsrf', 'Snow mass at surface', 'kg/m2', (/ ('', i=1, 10) /))
+          'snowsrf', 'Snow mass at surface', 'kg/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_qsnow = ctrl_out((/ 1, 1, 10, 1, 10, 10, 11, 11, 11, 11/), &
-    'qsnow', 'Water contained in snow', 'kg/m2', (/ ('', i=1, 10) /))
+          'qsnow', 'Water contained in snow', 'kg/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_snowhgt = ctrl_out((/ 1, 1, 10, 1, 10, 10, 11, 11, 11, 11/), &
-    'snowhgt', 'Snow height at surface', 'm', (/ ('', i=1, 10) /))
+          'snowhgt', 'Snow height at surface', 'm', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_toice = ctrl_out((/ 1, 1, 10, 1, 10, 10, 11, 11, 11, 11/), &
-    'to_ice', 'Snow passed to ice model', 'kg/m2', (/ ('', i=1, 10) /))
+          'to_ice', 'Snow passed to ice model', 'kg/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_sissnow = ctrl_out((/ 1, 1, 10, 1, 10, 10, 11, 11, 11, 11/), &
-    'sissnow', 'Snow in snow model', 'kg/m2', (/ ('', i=1, 10) /))
+          'sissnow', 'Snow in snow model', 'kg/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_runoff = ctrl_out((/ 1, 1, 10, 1, 10, 10, 11, 11, 11, 11/), &
-    'runoff', 'Run-off rate land ice', 'kg/m2/s', (/ ('', i=1, 10) /))
+          'runoff', 'Run-off rate land ice', 'kg/m2/s', (/ ('', i = 1, 10) /))
 #ifdef ISO
   TYPE(ctrl_out), SAVE :: o_runoff_diag = ctrl_out((/ 1, 1, 10, 1, 10, 10, 11, 11, 11, 11/), &
@@ -2108,158 +2104,156 @@
 #endif
   TYPE(ctrl_out), SAVE :: o_albslw3 = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'albslw3', 'Surface albedo LW3', '-', (/ ('', i=1, 10) /))
-
-!--aviation & supersaturation
+          'albslw3', 'Surface albedo LW3', '-', (/ ('', i = 1, 10) /))
+
+  !--aviation & supersaturation
   TYPE(ctrl_out), SAVE :: o_oclr = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'oclr', 'Clear sky total water', 'kg/kg', (/ ('', i=1, 10) /))
+          'oclr', 'Clear sky total water', 'kg/kg', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ocld = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'ocld', 'Cloudy sky total water', 'kg/kg', (/ ('', i=1, 10) /))
+          'ocld', 'Cloudy sky total water', 'kg/kg', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_oss = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'oss', 'ISSR total water', 'kg/kg', (/ ('', i=1, 10) /))
+          'oss', 'ISSR total water', 'kg/kg', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ovc = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'ovc', 'In-cloup vapor', 'kg/kg', (/ ('', i=1, 10) /))
+          'ovc', 'In-cloup vapor', 'kg/kg', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rnebclr = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'rnebclr', 'Clear sky fraction', '-', (/ ('', i=1, 10) /))
+          'rnebclr', 'Clear sky fraction', '-', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rnebss = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'rnebss', 'ISSR fraction', '-', (/ ('', i=1, 10) /))
+          'rnebss', 'ISSR fraction', '-', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rnebseri = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'rnebseri', 'Cloud fraction', '-', (/ ('', i=1, 10) /))
+          'rnebseri', 'Cloud fraction', '-', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_gammass = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'gammass', 'Gamma supersaturation', '', (/ ('', i=1, 10) /))
+          'gammass', 'Gamma supersaturation', '', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_N1_ss = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'N1ss', 'N1', '', (/ ('', i=1, 10) /))
+          'N1ss', 'N1', '', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_N2_ss = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'N2ss', 'N2', '', (/ ('', i=1, 10) /))
+          'N2ss', 'N2', '', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_drnebsub = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'drnebsub', 'Cloud fraction change because of sublimation', 's-1', (/ ('', i=1, 10) /))
+          'drnebsub', 'Cloud fraction change because of sublimation', 's-1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_drnebcon = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'drnebcon', 'Cloud fraction change because of condensation', 's-1', (/ ('', i=1, 10) /))
+          'drnebcon', 'Cloud fraction change because of condensation', 's-1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_drnebtur = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'drnebtur', 'Cloud fraction change because of turbulence', 's-1', (/ ('', i=1, 10) /))
+          'drnebtur', 'Cloud fraction change because of turbulence', 's-1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_drnebavi = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'drnebavi', 'Cloud fraction change because of aviation', 's-1', (/ ('', i=1, 10) /))
+          'drnebavi', 'Cloud fraction change because of aviation', 's-1', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_qsatl = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'qsatl', 'Saturation with respect to liquid water', '', (/ ('', i=1, 10) /))
+          'qsatl', 'Saturation with respect to liquid water', '', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_qsats = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'qsats', 'Saturation with respect to solid water', '', (/ ('', i=1, 10) /))
+          'qsats', 'Saturation with respect to solid water', '', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_flight_m = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'flightm', 'Flown meters', 'm/s/mesh', (/ ('', i=1, 10) /))
+          'flightm', 'Flown meters', 'm/s/mesh', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_flight_h2o = ctrl_out((/ 1, 1, 1, 1, 10, 10, 11, 11, 11, 11/), &
-    'flighth2o', 'H2O flight emission', 'kg H2O/s/mesh', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_Tcontr = ctrl_out((/ 1, 1, 1, 1, 11, 11, 11, 11, 11, 11/),&
-    'Tcontr', 'Temperature threshold for contrail formation', 'K', (/ ('',i=1,10) /))
-  TYPE(ctrl_out), SAVE :: o_qcontr = ctrl_out((/ 1, 1, 1, 1, 11, 11, 11, 11, 11, 11/),&
-    'qcontr', 'Specific humidity threshold for contrail formation','Pa', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_qcontr2 = ctrl_out((/ 1, 1, 1, 1, 11, 11, 11, 11, 11, 11/),&
-    'qcontr2', 'Specific humidity threshold for contrail formation','kg/kg', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_fcontrN = ctrl_out((/ 2, 2, 2, 2, 2, 2, 11, 11, 11, 11/),&
-    'fcontrN', 'Fraction with non-persistent contrail in clear-sky', '-', (/ ('', i=1,10)/))
-  TYPE(ctrl_out), SAVE :: o_fcontrP = ctrl_out((/ 2, 2, 2, 2, 2, 2, 11, 11, 11, 11/),&
-    'fcontrP', 'Fraction with persistent contrail in ISSR', '-', (/ ('', i=1,10)/))
-
-!!!!!!!!!!!!! Sorties niveaux standards de pression NMC 
+          'flighth2o', 'H2O flight emission', 'kg H2O/s/mesh', (/ ('', i = 1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_Tcontr = ctrl_out((/ 1, 1, 1, 1, 11, 11, 11, 11, 11, 11/), &
+          'Tcontr', 'Temperature threshold for contrail formation', 'K', (/ ('', i = 1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_qcontr = ctrl_out((/ 1, 1, 1, 1, 11, 11, 11, 11, 11, 11/), &
+          'qcontr', 'Specific humidity threshold for contrail formation', 'Pa', (/ ('', i = 1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_qcontr2 = ctrl_out((/ 1, 1, 1, 1, 11, 11, 11, 11, 11, 11/), &
+          'qcontr2', 'Specific humidity threshold for contrail formation', 'kg/kg', (/ ('', i = 1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_fcontrN = ctrl_out((/ 2, 2, 2, 2, 2, 2, 11, 11, 11, 11/), &
+          'fcontrN', 'Fraction with non-persistent contrail in clear-sky', '-', (/ ('', i = 1, 10)/))
+  TYPE(ctrl_out), SAVE :: o_fcontrP = ctrl_out((/ 2, 2, 2, 2, 2, 2, 11, 11, 11, 11/), &
+          'fcontrP', 'Fraction with persistent contrail in ISSR', '-', (/ ('', i = 1, 10)/))
+
+  !!!!!!!!!!!!! Sorties niveaux standards de pression NMC
   TYPE(ctrl_out), SAVE :: o_tnondef = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
-       'tnondef', 'Undefined value of T', 'K', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'tnondef', 'Undefined value of T', 'K', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_ta = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
-       'ta', 'Air temperature', 'K', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
-  TYPE(ctrl_out), SAVE :: o_zg  = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
-       'zg', 'Geopotential height', 'm', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'ta', 'Air temperature', 'K', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+  TYPE(ctrl_out), SAVE :: o_zg = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
+          'zg', 'Geopotential height', 'm', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_hus = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
-       'hus', 'Specific humidity', '1', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'hus', 'Specific humidity', '1', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_hur = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
-       'hur', 'Relative humidity', '%', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'hur', 'Relative humidity', '%', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_ua = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
-       'ua', 'Eastward wind', 'm s-1', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'ua', 'Eastward wind', 'm s-1', (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_va = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
-       'va', 'Northward wind', 'm s-1', (/ ('', i=1, 10)/))
+          'va', 'Northward wind', 'm s-1', (/ ('', i = 1, 10)/))
   TYPE(ctrl_out), SAVE :: o_wap = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
-       'wap', 'Lagrangian tendency of air pressure', 'Pa s-1', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'wap', 'Lagrangian tendency of air pressure', 'Pa s-1', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_psbg = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
-       'psbg', 'Pressure sfce below ground', '%', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'psbg', 'Pressure sfce below ground', '%', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_tro3 = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
-       'tro3', 'Ozone mole fraction', '1e-9', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'tro3', 'Ozone mole fraction', '1e-9', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_tro3_daylight = ctrl_out((/ 11, 11, 11, 11, 11, 11, 5, 5, 5, 11/), &
-       'tro3_daylight', 'Daylight ozone mole fraction', '1e-9', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'tro3_daylight', 'Daylight ozone mole fraction', '1e-9', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_uxv = ctrl_out((/ 11, 11, 11, 11, 11, 11, 6, 6, 6, 11/), &
-       'uv', 'uv', 'm2/s2', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'uv', 'uv', 'm2/s2', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_vxq = ctrl_out((/ 11, 11, 11, 11, 11, 11, 6, 6, 6, 11/), &
-       'vxq', 'vxq', 'm/s * (kg/kg)', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'vxq', 'vxq', 'm/s * (kg/kg)', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_vxT = ctrl_out((/ 11, 11, 11, 11, 11, 11, 6, 6, 6, 11/), &
-       'vT', 'vT', 'mK/s', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'vT', 'vT', 'mK/s', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_wxq = ctrl_out((/ 11, 11, 11, 11, 11, 11, 6, 6, 6, 11/), &
-       'wq', 'wq', '(Pa/s)*(kg/kg)', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'wq', 'wq', '(Pa/s)*(kg/kg)', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_vxphi = ctrl_out((/ 11, 11, 11, 11, 11, 11, 6, 6, 6, 11/), &
-       'vphi', 'vphi', 'm2/s', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'vphi', 'vphi', 'm2/s', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_wxT = ctrl_out((/ 11, 11, 11, 11, 11, 11, 6, 6, 6, 11/), &
-       'wT', 'wT', '"K*Pa/s', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /)) 
+          'wT', 'wT', '"K*Pa/s', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_uxu = ctrl_out((/ 11, 11, 11, 11, 11, 11, 6, 6, 6, 11/), &
-       'u2', 'u2', 'm2/s2', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+          'u2', 'u2', 'm2/s2', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
   TYPE(ctrl_out), SAVE :: o_vxv = ctrl_out((/ 11, 11, 11, 11, 11, 11, 6, 6, 6, 11/), &
-       'v2', 'v2', 'm2/s2', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
-   TYPE(ctrl_out), SAVE :: o_TxT = ctrl_out((/ 11, 11, 11, 11, 11, 11, 6, 6, 6, 11/), &
-       'T2', 'T2', 'K2', (/ "inst(X)", "inst(X)", "inst(X)", &
-       "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
-
-#ifdef CPP_Dust
-      INCLUDE 'spla_output_dat.h'
-#endif
-
-   type(ctrl_out), save:: o_delta_sst &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'delta_SST', &
-        "ocean-air interface temperature minus bulk SST", "K", '')
-
-   type(ctrl_out), save:: o_delta_sal &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'delta_sal', &
-        "ocean-air interface salinity minus bulk salinity", "ppt", '')
-
-   type(ctrl_out), save:: o_ds_ns &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dS_ns', &
-        "subskin salinity minus foundation salinity", "ppt", '')
-
-   type(ctrl_out), save:: o_dt_ns &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dT_ns', &
-        "subskin temperature minus foundation temperature", "K", '')
-
-   type(ctrl_out), save:: o_dter &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dTer', &
-        "ocean-air interface temperature minus sub-skin temperature", "K", '')
-
-   type(ctrl_out), save:: o_dser &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dSer', &
-        "ocean-air interface salinity minus sub-skin salinity", "ppt", '')
-
-   type(ctrl_out), save:: o_tkt &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'tkt', &
-        "thickness of thermal microlayer", "m", '')
-
-   type(ctrl_out), save:: o_tks &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'tks', &
-        "thickness of salinity microlayer", "m", '')
-
-   type(ctrl_out), save:: o_taur &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'taur', &
-        "momentum flux due to rain", "Pa", '')
-
-   type(ctrl_out), save:: o_sss &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'SSS', &
-        "bulk sea-surface salinity", "ppt", '')
+          'v2', 'v2', 'm2/s2', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+  TYPE(ctrl_out), SAVE :: o_TxT = ctrl_out((/ 11, 11, 11, 11, 11, 11, 6, 6, 6, 11/), &
+          'T2', 'T2', 'K2', (/ "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
+
+  INCLUDE 'spla_output_dat.h'
+
+  type(ctrl_out), save :: o_delta_sst &
+          = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'delta_SST', &
+                  "ocean-air interface temperature minus bulk SST", "K", '')
+
+  type(ctrl_out), save :: o_delta_sal &
+          = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'delta_sal', &
+                  "ocean-air interface salinity minus bulk salinity", "ppt", '')
+
+  type(ctrl_out), save :: o_ds_ns &
+          = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dS_ns', &
+                  "subskin salinity minus foundation salinity", "ppt", '')
+
+  type(ctrl_out), save :: o_dt_ns &
+          = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dT_ns', &
+                  "subskin temperature minus foundation temperature", "K", '')
+
+  type(ctrl_out), save :: o_dter &
+          = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dTer', &
+                  "ocean-air interface temperature minus sub-skin temperature", "K", '')
+
+  type(ctrl_out), save :: o_dser &
+          = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dSer', &
+                  "ocean-air interface salinity minus sub-skin salinity", "ppt", '')
+
+  type(ctrl_out), save :: o_tkt &
+          = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'tkt', &
+                  "thickness of thermal microlayer", "m", '')
+
+  type(ctrl_out), save :: o_tks &
+          = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'tks', &
+                  "thickness of salinity microlayer", "m", '')
+
+  type(ctrl_out), save :: o_taur &
+          = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'taur', &
+                  "momentum flux due to rain", "Pa", '')
+
+  type(ctrl_out), save :: o_sss &
+          = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'SSS', &
+                  "bulk sea-surface salinity", "ppt", '')
 
 END MODULE phys_output_ctrlout_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5099)
@@ -1,4 +1,3 @@
 ! $Id: phys_output_mod.F90 3792 2021-01-04 17:01:25Z evignon $
-!
 
 MODULE phys_output_mod 
@@ -307,5 +306,5 @@
 ! afin d avoir une seule sortie mensuelle par mois lorsque l on tourne 
 ! par annee (IM).
-!
+
      idayref = day_ref
      IF (klon_glo==1) THEN
@@ -411,5 +410,5 @@
           spectband(ISW)=(wn1_sun(ISW)+wn2_sun(ISW))/2
         ENDDO
-!
+
 !!! ajout axe vertical spectband : solar band number
         CALL wxios_add_vaxis("spectband", NSW, spectband, positif='down')
@@ -630,5 +629,5 @@
 
     ipos=scan(str,'0123456789.',.TRUE.)
-    !  
+
     il=len_trim(str)
     WRITE(lunout,*) "ipos = ", ipos
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_var_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_var_mod.F90	(revision 5099)
@@ -1,3 +1,3 @@
-!
+
 ! phys_local_var_mod.F90 1327 2010-03-17 15:33:56Z idelkadi $
 
@@ -7,6 +7,6 @@
   ! Variables outputs pour les ecritures des sorties
   !======================================================================
-  !
-  !
+
+
   !======================================================================
   ! Declaration des variables
